# API Reference

This section provides detailed API documentation for HoloViz MCP.

## Core Modules

::: holoviz_mcp
    options:
      show_root_heading: true
      show_root_toc_entry: true
      heading_level: 2

## Server

::: holoviz_mcp.server
    options:
      heading_level: 3

## Panel MCP

::: holoviz_mcp.panel_mcp
    options:
      heading_level: 3

### Server

::: holoviz_mcp.panel_mcp.server
    options:
      heading_level: 4

### Models

::: holoviz_mcp.panel_mcp.models
    options:
      heading_level: 4

### Data

::: holoviz_mcp.panel_mcp.data
    options:
      heading_level: 4

## hvPlot MCP

::: holoviz_mcp.hvplot_mcp
    options:
      heading_level: 3

### Server

::: holoviz_mcp.hvplot_mcp.server
    options:
      heading_level: 4

## Documentation MCP

::: holoviz_mcp.holoviz_mcp
    options:
      heading_level: 3

### Server

::: holoviz_mcp.holoviz_mcp.server
    options:
      heading_level: 4

### Models

::: holoviz_mcp.holoviz_mcp.models
    options:
      heading_level: 4

### Data

::: holoviz_mcp.holoviz_mcp.data
    options:
      heading_level: 4

## Configuration

::: holoviz_mcp.config
    options:
      heading_level: 3

### Loader

::: holoviz_mcp.config.loader
    options:
      heading_level: 4

### Models

::: holoviz_mcp.config.models
    options:
      heading_level: 4

## Applications

::: holoviz_mcp.apps
    options:
      heading_level: 3
